package cz.frantovo.superPostak;

import cz.frantovo.postak.Postak;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 * @author fiki
 */
public class PostakTest {

    @Test
    public void zkontrolujAdresu() {
        System.out.println("zkontrolujAdresu");

        String[] adresyDobre = {"abcd@example.com", "aa.bb@seznam.cz", "nbusr123@example.name", "VeLkA@pIsMeNa.COM"};
        String[] adresySpatne = {"adresaATexampleDOTcom", "nějaká adresa", "adresa @seznam.cz"};

        for (String adresa : adresyDobre) {
            System.out.println("Kontroluji: " + adresa);
            assertEquals(true, Postak.zkontrolujAdresu(adresa));
        }
        
        System.out.println();

        for (String adresa : adresySpatne) {
            System.out.println("Kontroluji: " + adresa);
            assertEquals(false, Postak.zkontrolujAdresu(adresa));
        }
    }
}
